| Elektra 0.11.0

Functions
elektra.c File Reference

Elektra High Level API. More...

`#include "elektra.h"`
`#include "elektra/conversion.h"`
`#include "elektra/types.h"`
`#include "kdberrors.h"`
`#include "kdbhelper.h"`
`#include "kdblogger.h"`
`#include "kdbprivate.h"`
`#include <stdlib.h>`

## Functions
kdb_boolean_t | checkSpec (Key *const parentKey, KeySet *contract, ElektraError **error)
| Verify that specification is properly mounted and is equal to specification at compile time.
Elektra * | elektraOpen (const char *application, KeySet *defaults, KeySet *contract, ElektraError **error)
| Initializes a new Elektra instance.
void | elektraFatalError (Elektra *elektra, ElektraError *fatalError)
| Promote an ElektraError to fatal and call the fatal error handler.
Key * | elektraHelpKey (Elektra *elektra)
| This function is only intended for use with code-generation.
void | elektraFatalErrorHandler (Elektra *elektra, ElektraErrorHandler fatalErrorHandler)
| Sets the fatal error handler that will be called, whenever a fatal error occurs.
void | elektraClose (Elektra *elektra)
| Releases all resources used by the given elektra instance.

## Detailed Description

Elektra High Level API.

Copyright
  BSD License (see doc/LICENSE.md or http://www.libelektra.org)